@ECHO off
SET LENGTHFILE=sourcefolder.txt
echo %CD%> "%CD%\%LENGTHFILE%"
for %%i in (%CD%\%LENGTHFILE%) do set /a length=%%~zi 
set /a length -=2 
del "%CD%\%LENGTHFILE%"
if %length% GTR 49 goto foldertolong
SET /P aa="Important: Before installing the fix pack, make sure that the IBM Data Studio Administration Console is stopped. Do you want to install Fix Pack 1 for Data Studio Administration Console Version 1.2? (Y/N)"
if /i %aa% equ Y goto startpre
goto end
:startpre
set TEMP_DIR=%cd%
SET /P DSAC_HOME="Enter the home directory of DSAC. To stop this operation,press ^C:"
if not exist "%DSAC_HOME%" goto back
set DSAC_HOME=%DSAC_HOME:"=%
set TEST_DIR="%DSAC_HOME%/apps"
if not exist %TEST_DIR% goto back
goto start
:back
SET /P DSAC_HOME="The directory that you specified does not exist or is not the DSAC home directory. Enter the home directory of DSAC again. To stop the operation,press ^C:"
if not exist "%DSAC_HOME%" goto back
set DSAC_HOME=%DSAC_HOME:"=%
set TEST_DIR="%DSAC_HOME%/apps"
if not exist %TEST_DIR% goto back
:start
set DSAC_HOME=%DSAC_HOME:\"=%
set JAVA_HOME=%DSAC_HOME%\jre\jre
:install
echo Installing...it might take a few minutes.
call "%DSAC_HOME%\bin\ant\bin\ant" -buildfile  applypatch.xml -DDSAC_HOME="%DSAC_HOME%" -DPRO_DIR="IBM_DSAC1.2.0_fixpack_1" install -verbose
IF %ERRORLEVEL%==0 goto success
goto fail
:foldertolong
echo The name of the folder into which the fix pack was extracted is too long. The zip file was not extracted correctly. Extract the zip file into a folder with a name up to 46 characters (for example, C:\Temp).
goto fail
:fail
echo Installation failed.
goto end
:success
echo Installation completed successfully.
goto end

:end

